{% extends 'back_office_components/base.html' %} {% block styles %} {{ super()
}} {% endblock %} {% block app_content %}
<div class="panel panel-default">
    <div class="panel-heading">
        <div class="text-right">
            <h5>{{ _('Detail Items of Trx #') }}{{ sales.sales_id }}</h5>
        </div>
    </div>
    <div class="panel-body">
        <div class="row">
            <div class="col-lg-12 table-responsive">
                <table id="table_id" class="table table-striped table-bordered" style="width: 100%;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ _('Items ID')  }}</th>
                            <th>{{ _('Name of Product') }}</th>
                            <th>{{ _('Product Price') }}</th>
                            <th>{{ _('Quantity') }}</th>
                            <th>{{ _('Sub Total') }}</th>
                            <th>{{ _('Profit') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in items %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>{{ item.items_id }}</td>
                            <td>{{ item.product.product_name  }}</td>
                            <td>Rp. {{ item.product_selling_price | currency_format }}</td>
                            <td>{{ item.qty }}</td>
                            <td>Rp. {{ item.sub_total | currency_format }}</td>
                            <td>Rp. {{ item.sub_profit | currency_format }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                    <tfoot>
                        <tr>
                            <td colspan="4" class="text-right"><strong>Grand Total</strong></td>
                            <td><strong>{{ sales.total_qty}}</strong></td>
                            <td><strong>Rp. {{ sales.total_price | currency_format }}</strong></td>
                            <td><strong>Rp. {{ sales.total_profit | currency_format }}</strong></td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %} {% block scripts %} {{ super() }}
<script type="text/javascript">
    /* DataTables */
    $(document).ready(function () {
        var table = $("#table_id").DataTable({
            lengthChange: false,
            buttons: ["copy", "excel", "pdf", "print"],
        });
        table.buttons().container().appendTo("#table_id_wrapper .col-sm-6:eq(0)");
    });
</script>
{% endblock %}
